* ITSP 12.1 -

type myregress.ado

use wpi1, clear
myregress wpi L(1/4).wpi t, lagvar(wpi) nlags(4)
return list
lincom   L.wpi+L2.wpi+L3.wpi+L4.wpi

rolling sum=r(sum) se=r(se), window(30): ///
myregress wpi L(1/4).wpi t, lagvar(wpi) nlags(4)

tsset end, quarterly
label var end Endpoint
g lo = sum - 1.96 * se
g hi = sum + 1.96 * se
twoway rarea lo hi end, color(gs12) title("Sum of moving lag coefficients, approx. 95% CI") ///
||  tsline sum, legend(off) scheme(s2mono)
